Page MenuHomePhabricator

Remove phpcs exceptions and severity 0 from mediawiki-config
Open, LowestPublic

Description

We now have phpcs passing. We should improve that by removing all exceptions and severity 0 where possible

Details

SubjectRepoBranchLines +/-
operations/mediawiki-configmaster+55 -19
operations/mediawiki-configmaster+0 -59
operations/mediawiki-configmaster+40 -58
operations/mediawiki-configmaster+167 -81
operations/mediawiki-configmaster+65 -32
operations/mediawiki-configmaster+11 -1
operations/mediawiki-configmaster+26 -1
operations/mediawiki-configmaster+36 -37
operations/mediawiki-configmaster+3 -1
operations/mediawiki-configmaster+19 -5
operations/mediawiki-configmaster+2 -4
operations/mediawiki-configmaster+1 -3
operations/mediawiki-configmaster+1 -3
operations/mediawiki-configmaster+2 -1
operations/mediawiki-configmaster+26 -1
operations/mediawiki-configmaster+4 -1
operations/mediawiki-configmaster+16 -9
operations/mediawiki-configmaster+9 -1
operations/mediawiki-configmaster+1 -3
operations/mediawiki-configmaster+32 -2
operations/mediawiki-configmaster+4 -2
operations/mediawiki-configmaster+7 -1
operations/mediawiki-configmaster+0 -1
operations/mediawiki-configmaster+3 -4
operations/mediawiki-configmaster+0 -9
operations/mediawiki-configmaster+6 -8
operations/mediawiki-configmaster+9 -6
operations/mediawiki-configmaster+0 -1
operations/mediawiki-configmaster+3 -6
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
DannyS712 subscribed.

Will do, it will take a while to coordinate with deployment windows though

DannyS712 triaged this task as Lowest priority.Mar 27 2022, 12:45 AM

Change 773863 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and fix SingleSpaceBeforeSingleLineComment

https://gerrit.wikimedia.org/r/773863

Change 773864 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and fix UnusedGlobalVariables

https://gerrit.wikimedia.org/r/773864

Change 773865 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: narrow some exclusions only needed for cirrusTest.php

https://gerrit.wikimedia.org/r/773865

Change 773966 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: clean up MWConfigCacheGenerator and enable rules

https://gerrit.wikimedia.org/r/773966

Change 773863 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and fix SingleSpaceBeforeSingleLineComment

https://gerrit.wikimedia.org/r/773863

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:13:55Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/InitialiseSettings-labs.php: Config: [[gerrit:773863|phpcs: enable and fix SingleSpaceBeforeSingleLineComment (T171115)]] (phpcs.xml will be synced with next patch) (duration: 01m 01s)

Change 773864 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable passing rule UnusedGlobalVariables

https://gerrit.wikimedia.org/r/773864

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:17:55Z] <lucaswerkmeister-wmde@deploy1002> Synchronized phpcs.xml: Config: [[gerrit:773864|phpcs: enable passing rule UnusedGlobalVariables (T171115)]] (includes phpcs.xml change from previous sync) (duration: 00m 56s)

Change 773865 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: narrow some exclusions only needed for cirrusTest.php

https://gerrit.wikimedia.org/r/773865

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:21:58Z] <lucaswerkmeister-wmde@deploy1002> Synchronized tests/cirrusTest.php: Config: [[gerrit:773865|phpcs: narrow some exclusions only needed for cirrusTest.php (T171115)]] (1/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:23:03Z] <lucaswerkmeister-wmde@deploy1002> Synchronized phpcs.xml: Config: [[gerrit:773865|phpcs: narrow some exclusions only needed for cirrusTest.php (T171115)]] (2/2) (duration: 00m 55s)

Change 775005 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable rules that are already passing

https://gerrit.wikimedia.org/r/775005

Change 775426 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: rename test files to match class names

https://gerrit.wikimedia.org/r/775426

Change 775427 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and fix PropertyDocumentation.MissingVar

https://gerrit.wikimedia.org/r/775427

Change 773966 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: clean up MWConfigCacheGenerator and enable rules

https://gerrit.wikimedia.org/r/773966

Change 775005 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable rules that are already passing

https://gerrit.wikimedia.org/r/775005

Change 775426 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: rename test files to match class names

https://gerrit.wikimedia.org/r/775426

Change 775427 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and fix PropertyDocumentation.MissingVar

https://gerrit.wikimedia.org/r/775427

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:46:14Z] <thcipriani@deploy1002> Synchronized phpcs.xml: Config (noop): [[gerrit:775427|phpcs: enable and fix PropertyDocumentation.MissingVar (T171115)]] [[gerrit:775426|phpcs: rename test files to match class names (T171115)]] [[gerrit:775005|phpcs: enable rules that are already passing (T171115)]] (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:47:41Z] <thcipriani@deploy1002> Synchronized src/StaticSiteConfiguration.php: Config (noop -- comment change): [[gerrit:775427|phpcs: enable and fix PropertyDocumentation.MissingVar (T171115)]] (duration: 00m 50s)

Change 775937 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.MissingDocumentationProtected

https://gerrit.wikimedia.org/r/775937

Change 775938 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable FunctionComment.MissingParamTag

https://gerrit.wikimedia.org/r/775938

Change 775939 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: add @covers tags to test files

https://gerrit.wikimedia.org/r/775939

Change 796352 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move DisallowYodaConditions exclusion inline

https://gerrit.wikimedia.org/r/796352

Change 796353 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable FunctionComment.MissingDocumentationPrivate

https://gerrit.wikimedia.org/r/796353

Change 796354 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.WrongStyle

https://gerrit.wikimedia.org/r/796354

Change 796355 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and suppress DuplicateClassName.Found

https://gerrit.wikimedia.org/r/796355

Change 796356 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.MissingDocumentationPrivate

https://gerrit.wikimedia.org/r/796356

Change 775937 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.MissingDocumentationProtected

https://gerrit.wikimedia.org/r/775937

Change 775938 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable FunctionComment.MissingParamTag

https://gerrit.wikimedia.org/r/775938

Change 775939 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: add @covers tags to test files

https://gerrit.wikimedia.org/r/775939

Change 796352 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move DisallowYodaConditions exclusion inline

https://gerrit.wikimedia.org/r/796352

Change 796353 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable FunctionComment.MissingDocumentationPrivate

https://gerrit.wikimedia.org/r/796353

Change 796354 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.WrongStyle

https://gerrit.wikimedia.org/r/796354

Change 796357 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and suppress ClassMatchesFilename.NotMatch

https://gerrit.wikimedia.org/r/796357

Change 796355 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and suppress DuplicateClassName.Found

https://gerrit.wikimedia.org/r/796355

Change 796356 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable PropertyDocumentation.MissingDocumentationPrivate

https://gerrit.wikimedia.org/r/796356

Change 796357 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and suppress ClassMatchesFilename.NotMatch

https://gerrit.wikimedia.org/r/796357

Change 796358 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move ForbiddenFunctions.extract exclusion inline

https://gerrit.wikimedia.org/r/796358

Change 796359 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move ForbiddenFunctions.exec exclusion inline

https://gerrit.wikimedia.org/r/796359

Change 796358 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move ForbiddenFunctions.extract exclusion inline

https://gerrit.wikimedia.org/r/796358

Change 796360 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable passing AssignmentInControlStructures rule

https://gerrit.wikimedia.org/r/796360

Change 796359 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move ForbiddenFunctions.exec exclusion inline

https://gerrit.wikimedia.org/r/796359

Change 802840 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move Misleading$wgDebugLogFile exclusion inline

https://gerrit.wikimedia.org/r/802840

Change 802841 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and fix FunctionComment.WrongStyle

https://gerrit.wikimedia.org/r/802841

Change 802842 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and configure ValidGlobalName.allowedPrefix

https://gerrit.wikimedia.org/r/802842

Change 802946 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable and configure PrefixedGlobalFunctions.allowedPrefix

https://gerrit.wikimedia.org/r/802946

Change 802947 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move Misleading$wgConf exclusion inline

https://gerrit.wikimedia.org/r/802947

Change 796360 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move AssignmentInControlStructures exclusion inline

https://gerrit.wikimedia.org/r/796360

Change 802840 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move Misleading$wgDebugLogFile exclusion inline

https://gerrit.wikimedia.org/r/802840

Change 802841 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and fix FunctionComment.WrongStyle

https://gerrit.wikimedia.org/r/802841

Change 802842 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and configure ValidGlobalName.allowedPrefix

https://gerrit.wikimedia.org/r/802842

Change 802946 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and configure PrefixedGlobalFunctions.allowedPrefix

https://gerrit.wikimedia.org/r/802946

Change 802947 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable and fix MisleadingGlobalNames.Misleading$wgConf

https://gerrit.wikimedia.org/r/802947

Mentioned in SAL (#wikimedia-operations) [2022-06-14T20:31:10Z] <urbanecm@deploy1002> Synchronized wmf-config/: phpcs cleanups (T171115; no-op for production) (duration: 03m 38s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T20:34:39Z] <urbanecm@deploy1002> Synchronized multiversion/: phpcs cleanups (T171115; no-op for production) (duration: 03m 28s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T20:37:55Z] <urbanecm@deploy1002> Synchronized w/: phpcs cleanups (T171115; no-op for production) (duration: 03m 15s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T20:41:36Z] <urbanecm@deploy1002> Synchronized docroot/: phpcs cleanups (T171115; no-op for production) (duration: 03m 41s)

Change 805430 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment

https://gerrit.wikimedia.org/r/805430

Change 805430 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment

https://gerrit.wikimedia.org/r/805430

Change 805431 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: fix more SpaceBeforeSingleLineComment.NewLineComment

https://gerrit.wikimedia.org/r/805431

Mentioned in SAL (#wikimedia-operations) [2022-06-14T21:51:27Z] <urbanecm@deploy1002> Synchronized docroot/: ca3b94f2d9bc755d92839e5e69072615ea9008df: phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 38s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T21:54:58Z] <urbanecm@deploy1002> Synchronized multiversion/: ca3b94f2d9bc755d92839e5e69072615ea9008df: phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 29s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T21:58:27Z] <urbanecm@deploy1002> Synchronized rpc/: ca3b94f2d9bc755d92839e5e69072615ea9008df: phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 31s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T22:02:00Z] <urbanecm@deploy1002> Synchronized src/: ca3b94f2d9bc755d92839e5e69072615ea9008df: phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 32s)

Mentioned in SAL (#wikimedia-operations) [2022-06-14T22:05:19Z] <urbanecm@deploy1002> Synchronized w/: ca3b94f2d9bc755d92839e5e69072615ea9008df: phpcs: start to fix SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 18s)

Change 805431 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: fix more SpaceBeforeSingleLineComment.NewLineComment

https://gerrit.wikimedia.org/r/805431

Mentioned in SAL (#wikimedia-operations) [2022-06-14T22:15:03Z] <urbanecm@deploy1002> Synchronized wmf-config/: e3fe6c04c95717f0f914bbfa366f5f827f392b6b: phpcs: fix more SpaceBeforeSingleLineComment.NewLineComment (T171115) (duration: 03m 39s)

Change 805432 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: move SpaceBeforeSingleLineComment.NewLineComment exclusions

https://gerrit.wikimedia.org/r/805432

Change 806248 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] phpcs: enable PrefixedGlobalFunctions.allowedPrefix and rename functions

https://gerrit.wikimedia.org/r/806248

Change 805432 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: move SpaceBeforeSingleLineComment.NewLineComment exclusions

https://gerrit.wikimedia.org/r/805432

Change 806249 had a related patch set uploaded (by DannyS712; author: DannyS712):

[operations/mediawiki-config@master] MWRealm.php: remove unused getRealmSpecificFilename()

https://gerrit.wikimedia.org/r/806249

Mentioned in SAL (#wikimedia-operations) [2022-06-16T20:23:29Z] <cjming@deploy1002> Synchronized wmf-config/: Config: [[gerrit:805432|phpcs: move SpaceBeforeSingleLineComment.NewLineComment exclusions (T171115)]] (duration: 03m 22s)

Mentioned in SAL (#wikimedia-operations) [2022-06-16T20:27:22Z] <cjming@deploy1002> Synchronized phpcs.xml: Config: [[gerrit:805432|phpcs: move SpaceBeforeSingleLineComment.NewLineComment exclusions (T171115)]] (duration: 03m 27s)

Change 806248 merged by jenkins-bot:

[operations/mediawiki-config@master] phpcs: enable PrefixedGlobalFunctions.allowedPrefix and rename functions

https://gerrit.wikimedia.org/r/806248

Mentioned in SAL (#wikimedia-operations) [2022-06-16T20:42:01Z] <thcipriani@deploy1002> Started scap: Config: [[gerrit:806248|phpcs: enable PrefixedGlobalFunctions.allowedPrefix and rename functions (T171115)]]

Change 806249 merged by jenkins-bot:

[operations/mediawiki-config@master] MWRealm.php: remove unused getRealmSpecificFilename()

https://gerrit.wikimedia.org/r/806249

Mentioned in SAL (#wikimedia-operations) [2022-06-16T20:58:58Z] <thcipriani@deploy1002> Finished scap: Config: [[gerrit:806248|phpcs: enable PrefixedGlobalFunctions.allowedPrefix and rename functions (T171115)]] (duration: 16m 57s)

Mentioned in SAL (#wikimedia-operations) [2022-06-16T21:06:28Z] <thcipriani@deploy1002> Synchronized multiversion/MWRealm.php: Config: [[gerrit:806249|MWRealm.php: remove unused getRealmSpecificFilename() (T171115)]] (duration: 03m 35s)

I'm sorry that I haven't handled this task. I recently returned from a long bout of unexpected inactivity, and while I plan to resume my contributions here on Phabricator its unfair to claim tasks that I might not work on when others may be interested in handling them. I'm removing myself as the assignee in a batch-action, but if someone feels that I really should be the one to handle this task feel free to re-assign me and I'll take a look.